Bug 72360 - Add test for inline style block in HTML tag
: Add test for inline style block in HTML tag
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 69083 74148
  Show dependency treegraph
 
Reported: 2011-11-15 00:44 PST by
Modified: 2011-12-08 18:39 PST (History)


Attachments
patch (2.90 KB, patch)
2011-11-15 01:43 PST, Szilard Ledan
darin: review-
Review Patch | Details | Formatted Diff | Diff
updated patch (2.91 KB, patch)
2011-11-16 23:49 PST, Szilard Ledan
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-15 00:44:57 PST
I found a bug. The CSS lexer doesn't recognize a legal statement.

Example: 
CSS 2.1 spec.: <a style="{...}">...<\a>, it's a legal form, but the CSS parser doesn't work right.
------- Comment #1 From 2011-11-15 01:43:05 PST -------
Created an attachment (id=115123) [details]
patch
------- Comment #2 From 2011-11-15 10:22:17 PST -------
(From update of attachment 115123 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=115123&action=review

> LayoutTests/fast/css/parsing-css-block.html:26
> +<p>Test parsing of CSS squar-braces block</p>

What are squar-brances?

> LayoutTests/fast/css/parsing-css-block.html:33
> +<p style="{font-size: 16px;}">Font size is 16px.</p>

These {} are called curly brackets or curly braces.
------- Comment #3 From 2011-11-16 23:46:58 PST -------
(In reply to comment #2)

> These {} are called curly brackets or curly braces.

Thank you! I will fix it.
------- Comment #4 From 2011-11-16 23:49:41 PST -------
Created an attachment (id=115534) [details]
updated patch
------- Comment #5 From 2011-12-08 18:38:56 PST -------
(From update of attachment 115534 [details])
Clearing flags on attachment: 115534

Committed r102415: <http://trac.webkit.org/changeset/102415>
------- Comment #6 From 2011-12-08 18:39:15 PST -------
All reviewed patches have been landed.  Closing bug.